# Linkedin Public Profile Enrichment

{% tabs %}
{% tab title="Curl" %}

```bash
cURL 'https://api.enrich.so/v1/api/linkedin-by-url?url=linkedin.com/in/williamhgates&type=person' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
const axios = require('axios');

axios.get('https://api.enrich.so/v1/api/linkedin-by-url?url=linkedin.com/in/williamhgates&type=person', {
    headers: {accept: 'application/json', Authorization: 'Bearer <token>'}
})
  .then(response => {
    console.log(response.data);
  })
  .catch(error => {
    console.log(error);
  });// Some code
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
payload = {'url': 'linkedin.com/in/williamhgates', 'type': 'person'}
headers = {'accept': 'application/json', 'authorization': 'Bearer <token>'}
resp = requests.get('https://api.enrich.so/v1/api/linkedin-by-url', params=payload, headers=headers)
print (resp.text)
```

{% endtab %}

{% tab title="Java" %}

```java
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
  .url("https://api.enrich.so/v1/api/linkedin-by-url?url=linkedin.com/in/williamhgates&type=person")
  .get()
  .addHeader("accept", "application/json")
  .addHeader("authorization", "Bearer <token>")
  .build();

Response response = client.newCall(request).execute();
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.enrich.so/v1/api/linkedin-by-url?url=linkedin.com/in/williamhgates&type=person")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["accept"] = 'application/json'
request["authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

{% endtab %}

{% tab title="Php" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.enrich.so/v1/api/linkedin-by-url?url=linkedin.com/in/williamhgates&type=person",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "accept: application/json",
    "authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

{% endtab %}
{% endtabs %}

## Example response

```json
{
    "profile_id": "williamhgates",
    "first_name": "Bill",
    "last_name": "Gates",
    "sub_title": "Co-chair, Bill & Melinda Gates Foundation",
    "profile_picture": "https://media.licdn.com/dms/image/D5603AQHv6LsdiUg1kw/profile-displayphoto-shrink_800_800/0/1695167344281?e=1701907200&v=beta&t=GRnycu5L6dkxGMZSW5B6K4QUlRpPmqPsF5ptrQsmVoQ",
    "background_image": "https://media.licdn.com/dms/image/D5616AQHy2R5tyt2YUA/profile-displaybackgroundimage-shrink_350_1400/0/1672782784673?e=1701907200&v=beta&t=DbQM_FtZpu5eHQZK3VpMVHlhhc4eDReJ8qorFf0FAU4",
    "profile_type": "personal",
    "entity_urn": "ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc",
    "object_urn": 251749025,
    "birth_date": null,
    "summary": "Co-chair of the Bill & Melinda Gates Foundation. Founder of Breakthrough Energy. Co-founder of Microsoft. Voracious reader. Avid traveler. Active blogger.",
    "location": {
        "country": "United States",
        "short": "Seattle, Washington",
        "city": "Seattle",
        "state": "Washington",
        "default": "Seattle, Washington, United States"
    },
    "premium": true,
    "influencer": true,
    "treasury_media": [],
    "languages": {
        "primary_locale": {
            "country": "US",
            "language": "en"
        },
        "supported_locales": [
            {
                "country": "US",
                "language": "en"
            }
        ],
        "profile_languages": []
    },
    "industry": "Philanthropy",
    "education": [
        {
            "date": {
                "start": {
                    "month": null,
                    "day": null,
                    "year": 1973
                },
                "end": {
                    "month": null,
                    "day": null,
                    "year": 1975
                }
            },
            "school": {
                "name": "Harvard University",
                "logo": "https://media.licdn.com/dms/image/C4E0BAQF5t62bcL0e9g/company-logo_400_400/0/1519855919126?e=1704326400&v=beta&t=JSZ388TpnmAtRYFxWlelbpY82qFS3ub0XtHGSR42yIk",
                "url": "https://www.linkedin.com/school/harvard-university/"
            },
            "degree_name": null,
            "field_of_study": null,
            "grade": null
        },
        {
            "date": {
                "start": {
                    "month": null,
                    "day": null,
                    "year": null
                },
                "end": {
                    "month": null,
                    "day": null,
                    "year": null
                }
            },
            "school": {
                "name": "Lakeside School",
                "logo": "https://media.licdn.com/dms/image/D560BAQGFmOQmzpxg9A/company-logo_400_400/0/1683732882929?e=1704326400&v=beta&t=rZ0jhSpHv1VFhsTTl-3sgidHU5_lYgyeR36H7qHlo_k",
                "url": "https://www.linkedin.com/school/lakeside-school/"
            },
            "degree_name": null,
            "field_of_study": null,
            "grade": null
        }
    ],
    "patents": [],
    "awards": [],
    "certifications": [],
    "organizations": [],
    "projects": [],
    "publications": [],
    "courses": [],
    "test_scores": [],
    "position_groups": [
        {
            "company": {
                "id": 8736,
                "name": "Bill & Melinda Gates Foundation",
                "logo": "https://media.licdn.com/dms/image/C4E0BAQE7Na_mKQhIJg/company-logo_400_400/0/1633731810932?e=1704326400&v=beta&t=xuOGtu4NwO2QdT4K6zagJbpSnBVr70cG2DTE-2YCTAM",
                "url": "https://www.linkedin.com/company/bill-&-melinda-gates-foundation/",
                "employees": {
                    "start": 1001,
                    "end": 5000
                }
            },
            "date": {
                "start": {
                    "month": null,
                    "day": null,
                    "year": 2000
                },
                "end": {
                    "month": null,
                    "day": null,
                    "year": null
                }
            },
            "profile_positions": [
                {
                    "location": null,
                    "date": {
                        "start": {
                            "month": null,
                            "day": null,
                            "year": 2000
                        },
                        "end": {
                            "month": null,
                            "day": null,
                            "year": null
                        }
                    },
                    "company": "Bill & Melinda Gates Foundation",
                    "description": null,
                    "title": "Co-chair",
                    "employment_type": null
                }
            ]
        },
        {
            "company": {
                "id": 19141006,
                "name": "Breakthrough Energy ",
                "logo": "https://media.licdn.com/dms/image/C4D0BAQGwD9vNu044FA/company-logo_400_400/0/1601560874941?e=1704326400&v=beta&t=vVK6Y18gJeFbLxvh5zbDwv0es7EZbqhDwkUUWteKOCI",
                "url": "https://www.linkedin.com/company/breakthrough-energy/",
                "employees": {
                    "start": 51,
                    "end": 200
                }
            },
            "date": {
                "start": {
                    "month": null,
                    "day": null,
                    "year": 2015
                },
                "end": {
                    "month": null,
                    "day": null,
                    "year": null
                }
            },
            "profile_positions": [
                {
                    "location": null,
                    "date": {
                        "start": {
                            "month": null,
                            "day": null,
                            "year": 2015
                        },
                        "end": {
                            "month": null,
                            "day": null,
                            "year": null
                        }
                    },
                    "company": "Breakthrough Energy ",
                    "description": null,
                    "title": "Founder",
                    "employment_type": null
                }
            ]
        },
        {
            "company": {
                "id": 1035,
                "name": "Microsoft",
                "logo": "https://media.licdn.com/dms/image/C560BAQE88xCsONDULQ/company-logo_400_400/0/1618231291419?e=1704326400&v=beta&t=WBMhRGvpy3qhorjb26QNcpncMSxZmvf6HQCHCKZDDgE",
                "url": "https://www.linkedin.com/company/microsoft/",
                "employees": {
                    "start": 10001,
                    "end": null
                }
            },
            "date": {
                "start": {
                    "month": null,
                    "day": null,
                    "year": 1975
                },
                "end": {
                    "month": null,
                    "day": null,
                    "year": null
                }
            },
            "profile_positions": [
                {
                    "location": null,
                    "date": {
                        "start": {
                            "month": null,
                            "day": null,
                            "year": 1975
                        },
                        "end": {
                            "month": null,
                            "day": null,
                            "year": null
                        }
                    },
                    "company": "Microsoft",
                    "description": null,
                    "title": "Co-founder",
                    "employment_type": null
                }
            ]
        }
    ],
    "volunteer_experiences": [],
    "skills": [],
    "network_info": {
        "followable": true,
        "followers_count": 34853998,
        "connections_count": 9
    },
    "related_profiles": null,
    "contact_info": {
        "websites": [
            {
                "type": "personal",
                "url": "https://gatesnot.es/UnconfuseMe"
            }
        ],
        "email": null,
        "twitter": null,
        "phone_numbers": []
    },
    "total_credits": 10,
    "credits_used": 5,
    "credits_remaining": 5
}
```
